#include <bits/stdc++.h>
using namespace std;

long long solve(long long x, long long){
    for(int i=0; i<y; i++){
        sort(x+i, x+y);
        b[i]=x[0];
        pop_heap(x; x+y);
        reverse(x+1+i, x+y);
    }
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n, m;
    cin>>n;
    for(int i=0; i<n; i++){
        cin>>m;
        long long a[m];
        for(int j=0; j<m; j++){
            cin>>a[i];
            cout<<"NO"<<endl;
        }
    }
    cout<<n/10<<" "<<n%10<<"\n";
}
